Sale-EncryptedCard

API Explorer
https://payment.ipospays.tech/api/v3/iposTransact
POST

Submits a payment transaction request using encrypted card data or alternative tokens.

Header Parameters

token*string

Authentication token generated using the API Key and Secret Key. Required for all API requests.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com" \  -H "token: string" \  -H "Content-Type: application/json" \  -d '{    "merchantAuthentication": {      "merchantId": "",      "transactionReferenceId": ""    },    "preferences": {      "eReceipt": false,      "customerName": "",      "customerEmail": "",      "customerMobile": "",      "requestCardToken": true    },    "transactionRequest": {      "amount": "",      "transactionType": 1,      "encryptedCardData": "",      "applySteamSettingTipFeeTax": false    },    "avs": {      "StreetNo": "",      "Zip": ""    }  }'
{
  "iposhpresponse": {
    "consumerId": "",
    "responseCode": "200",
    "responseMessage": "Success",
    "transactionReferenceId": "",
    "transactionType": "1",
    "transactionId": "",
    "chdToken": "",
    "amount": "100",
    "responseApprovalCode": "AXS382",
    "rrn": "62501452436",
    "transactionNumber": "5",
    "batchNumber": "232",
    "totalAmount": "100",
    "cardType": "CREDIT",
    "label": "AMEX",
    "l2l3Flag": "Y",
    "maskedPan": "3700009990",
    "expDate": "1228",
    "hostResponseCode": "00",
    "hostResponseMessage": "  NO  MATCH     ",
    "hTxId": "000000321000383"
  }
}
{
  "errors": [
    {
      "field": "IPOS_REQ_001",
      "message": "Invalid Payload Request"
    }
  ]
}